Page MenuHomePhabricator

Switch OCG to use https://rest.wikimedia.org/
Closed, ResolvedPublic

Description

We'd like to switch off Parsoid cache updates for wikipedias soon to avoid duplicate processing. OCG is still relying on low-latency cached HTML from the v1 API though, so we don't want to disable the updates until it switches to the RESTBase api at:

https://rest.wikimedia.org/

Event Timeline

GWicke raised the priority of this task from to High.
GWicke updated the task description. (Show Details)
GWicke added subscribers: Aklapper, GWicke.

We are keen to switch off the old cache update jobs within the next two weeks. Once we do so, requests to the old API will become slower, so it would be great if you could switch to RB before then.

cscott added a subscriber: cscott.Apr 28 2015, 6:37 PM

https://gerrit.wikimedia.org/r/207164 passes the RESTbase configuration information from the wiki to OCG, via [[Extension:Collection]].

Change 209743 had a related patch set uploaded (by Cscott):
T93292: Allow bundler to fetched parsed articles from RESTBase.

https://gerrit.wikimedia.org/r/209743

Change 209743 merged by jenkins-bot:
T93292: Allow bundler to fetched parsed articles from RESTBase.

https://gerrit.wikimedia.org/r/209743

These patches were merged and deployed today.

OCG will start using RESTBase as soon as https://gerrit.wikimedia.org/r/210100 rides the deployment train to production.

@cscott, do you have other patches to the OCG extension in the pipeline that would make backporting to the release branches hard? If not, any objections against pushing this out in a swat window?

It's in 1.26wmf6 and https://www.mediawiki.org/wiki/MediaWiki_1.26/Roadmap#Schedule_for_the_deployments says it's not quite deployed yet, but it's supposed to be deployed today. As soon as it is, you should be good for turning off updates.

cscott closed this task as Resolved.May 21 2015, 4:42 PM
cscott claimed this task.

Ok, should be live now.

TheDJ added a subscriber: TheDJ.Jun 21 2015, 8:46 PM

The test cases still refer to parsoid and not restbase btw.